commit:     5bb4638f7cf03653a411b9be1f439d118728c88c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 27 07:39:01 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 27 07:39:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bb4638f

dev-python/evdev: Bump to 1.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/evdev/Manifest                     |  1 +
 dev-python/evdev/evdev-1.8.0.ebuild           | 49 +++++++++++++++++++++++++++
 dev-python/evdev/files/evdev-1.8.0-test.patch | 22 ++++++++++++
 3 files changed, 72 insertions(+)

diff --git a/dev-python/evdev/Manifest b/dev-python/evdev/Manifest
index 274621e9d90a..4b41bdfdf032 100644
--- a/dev-python/evdev/Manifest
+++ b/dev-python/evdev/Manifest
@@ -1 +1,2 @@
 DIST python-evdev-1.7.1.gh.tar.gz 88275 BLAKE2B 
334f70785411bd0e8d348ddeb0a6a728dbfd5c3604a19e7153c47d6868f76b0d3c10317230b0d6874cc14b3765d0e520d932c551842bd0d758b7a735b30ba7cb
 SHA512 
802ba7c252a8817c60480db90b28e89b8356580d7b7f6a35725c70fcacbcabb3d3216330f6639ece940d901434cf1617d7682d344b7428fd5c5b6ab940700ff8
+DIST python-evdev-1.8.0.gh.tar.gz 47568 BLAKE2B 
489ebf6eecf2a7212b67f1393e105bbb801236f039bcc2adb805049a4941fc4d064a22b0928c69fa907197c444b49e7446b7641c4b19c1ff10b1fc4ad1a0d1ab
 SHA512 
86b2c08068863473e89f1455ff29f049786c292eaf1bdd44ad584054280aa2d40182640d67301653251ed13b2e7414bc81b7afc6b978a392d95fdce786f23e36

diff --git a/dev-python/evdev/evdev-1.8.0.ebuild 
b/dev-python/evdev/evdev-1.8.0.ebuild
new file mode 100644
index 000000000000..3998e22d71b7
--- /dev/null
+++ b/dev-python/evdev/evdev-1.8.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-evdev-${PV}
+DESCRIPTION="Python library for evdev bindings"
+HOMEPAGE="
+       https://python-evdev.readthedocs.io/
+       https://github.com/gvalkov/python-evdev/
+       https://pypi.org/project/evdev/
+"
+SRC_URI="
+       https://github.com/gvalkov/python-evdev/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+       # upstream 27eb2ff11bb6b41fa0cfcff4f80d6c26d4b65742 (post 1.8.0)
+       "${FILESDIR}/${P}-test.patch"
+)
+
+EPYTEST_DESELECT=(
+       tests/test_uinput.py
+)
+
+python_configure_all() {
+       esetup.py build_ecodes \
+               --evdev-headers \
+               
"${ESYSROOT}/usr/include/linux/input.h:${ESYSROOT}/usr/include/linux/input-event-codes.h"
+}
+
+src_test() {
+       cd tests || die
+       distutils-r1_src_test
+}

diff --git a/dev-python/evdev/files/evdev-1.8.0-test.patch 
b/dev-python/evdev/files/evdev-1.8.0-test.patch
new file mode 100644
index 000000000000..aa155da3398a
--- /dev/null
+++ b/dev-python/evdev/files/evdev-1.8.0-test.patch
@@ -0,0 +1,22 @@
+From 27eb2ff11bb6b41fa0cfcff4f80d6c26d4b65742 Mon Sep 17 00:00:00 2001
+From: Georgi Valkov <[email protected]>
+Date: Sat, 25 Jan 2025 18:04:39 +0100
+Subject: [PATCH 1/2] Fix tests
+
+---
+ tests/test_util.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tests/test_util.py b/tests/test_util.py
+index 5a979df..7112927 100644
+--- a/tests/test_util.py
++++ b/tests/test_util.py
+@@ -6,7 +6,7 @@ def test_match_ecodes_a():
+     assert res == {1: [372, 418, 419, 420]}
+     assert dict(util.resolve_ecodes_dict(res)) == {
+         ("EV_KEY", 1): [
+-            (["KEY_FULL_SCREEN", "KEY_ZOOM"], 372),
++            (("KEY_FULL_SCREEN", "KEY_ZOOM"), 372),
+             ("KEY_ZOOMIN", 418),
+             ("KEY_ZOOMOUT", 419),
+             ("KEY_ZOOMRESET", 420),

Reply via email to